Bug 125757 - [RFE] Add mouse bindings for .emacs/psgml setup
[RFE] Add mouse bindings for .emacs/psgml setup
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Wade
Tammy Fox
http://fedora.redhat.com/participate/...
:
Depends On:
Blocks: fdp-docguide-traqr
  Show dependency treegraph
 
Reported: 2004-06-10 17:08 EDT by Mark Johnson
Modified: 2009-07-07 00:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 11:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Johnson 2004-06-10 17:08:06 EDT
Description of problem:

Some people may like to use the mouse to insert tags. The following
snippet will generate popup menus when the cursor point is either on a
start tag or in a region where elements are allowed. 

Such an addition may make Emacs a bit for friendly for a new user...

----========----

;; Mouse Bindings: right-click generates context-aware
elements/attributes popup menu.
                                                                     
          
    (define-key sgml-mode-map [mouse-3] 'sgml-tags-menu)

----========----

For screenshots, see 
http://dulug.duke.edu/~mark/psgmlx/doc/blue-screenshot.html
(See Green Theme for attribute menu.)
Comment 1 Tammy Fox 2004-08-13 11:16:53 EDT
I tried this in FC2, and it get the following error:

Symbol's value as variable is void: sgml-mode-map

Do you have to have any special modes installed to use this?
Comment 2 Mark Johnson 2004-08-14 17:03:57 EDT
Naw, I think all you need to do is to tell emacs to only use these key
bindings when in sgml/xml-mode. To do so, wrap the sgml-mode-map
statement as follows:

------------------------------------------------------------------
(add-hook
 'sgml-mode-hook        ; These only apply in sgml-mode
 (function
  (lambda()

;; Mouse Bindings: right-click generates elements/attributes menu

    (define-key sgml-mode-map [mouse-3] 'sgml-tags-menu)

 )))
------------------------------------------------------------------

The final three parentheses are not optional. 
Comment 3 Tammy Fox 2004-09-17 12:41:42 EDT
I finally got around to adding the correct lines to my .emacs file,
and it works. Interesting how it divides the valid elements into
categories.

I am blocking bug #131160 with this one since it is a Docs Guide RFE.
If you already have a patch to add it to docs-emacs-en.xml, then pass
it along. Otherwise, I'll write it up and add it soon.
Comment 4 Matthew Miller 2005-04-26 11:18:02 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Paul W. Frields 2005-04-28 08:49:51 EDT
Mark or Tammy, can you change the version to "fc3" to ensure that this bug does
not get closed as part of the Fedora Legacy bug-scrubbing?  Or is that not
necessary?
Comment 6 eric@christensenplace.us 2009-06-30 11:56:23 EDT
These guides are no longer being supported or updated.  If you feel your ticket could better be supported in one of our other guides please feel free to reopen and reassign the ticket to that guide.

Thank you for taking the time to submit your bug.
Comment 7 eric@christensenplace.us 2009-07-07 00:08:15 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.